Ask Your Question
0

ndt_gpu failed when compile with CUDA support - Autoware.ai

asked 2021-03-24 05:06:56 -0500

nisa ilhan gravatar image

When I trying to compile my workspace with AUTOWARE_COMPILE_WITH_CUDA=1 colcon build --cmake-args -DCMAKE_BUILD_TYPE=Release But I got an error as below.

Nvidia AGX Xavier OS: Ubuntu 18.04 gcc++: (Ubuntu/Linaro 7.5.0-3ubuntu1~18.04) ROS Distribution: Melodic CUDA Version: 10.0 CMake Version: 3.10.2 Eigen Version: 3.3.9

How can i enable GPU in autoware? Is anyone have an idea about that? Thanks.

Starting >>> vehicle_sim_model --- stderr: ndt_gpu * WARNING * io features related to ensenso will be disabled * WARNING * io features related to davidSDK will be disabled * WARNING * io features related to dssdk will be disabled * WARNING * io features related to pcap will be disabled * WARNING * io features related to png will be disabled * WARNING * io features related to libusb-1.0 will be disabled * WARNING * visualization features related to ensenso will be disabled * WARNING * visualization features related to davidSDK will be disabled * WARNING * visualization features related to dssdk will be disabled * WARNING * visualization features related to rssdk will be disabled CMake Error at /home/nisa-xavier/autoware.ai/install/autoware_build_flags/share/autoware_build_flags/cmake/autoware_build_flags-extras.cmake:32 (message): GPU support on Melodic requires Eigen version>= 3.3.7 Call Stack (most recent call first): CMakeLists.txt:22 (AW_CHECK_CUDA)

Failed <<< ndt_gpu [3.46s, exited with code 1] Aborted <<< astar_search [14.8s] Aborted <<< state_machine_lib [3.90s] Aborted <<< vector_map_server [10.6s] Aborted <<< libwaypoint_follower [4.49s] Aborted <<< lanelet2_extension [7.90s] Aborted <<< vehicle_sim_model [11.6s] Aborted <<< kitti_player [26.1s]

Summary: 36 packages finished [55.7s] 1 package failed: ndt_gpu 7 packages aborted: astar_search kitti_player lanelet2_extension libwaypoint_follower state_machine_lib vector_map_server vehicle_sim_model 2 packages had stderr output: kitti_player ndt_gpu 121 packages not processed

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2021-04-15 20:23:35 -0500

Though you have installed Eigen3.3.7, but the version still is not changed in /usr/lib/cmake/eigen3/Eigen3Config.cmake 32th row, you need to replace four documents in /usr/lib/cmake/eigen3 with /usr/local/share/eigen3/cmake.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2021-03-24 05:06:56 -0500

Seen: 183 times

Last updated: Mar 24